strrchr(3)

NAME
strrchr - string rear-search character

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <string.h>

char *strrchr(const char *s, int c);

DESCRIPTION
strrchr() returns a pointer to the last occurrence of the character c in the string s.

It is equivalent to

    memrchr(s, c, strlen(s) + 1)

RETURN VALUE
See strchr(3).

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
C11, POSIX.1-2008.

HISTORY
POSIX.1-2001, C89, SVr4, 4.3BSD.

SEE ALSO
string(3), strchr(3), wcsrchr(3)